<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>Class Hierarchy</title>
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
  </head>
  <body>
    <h1>Class Hierarchy</h1>
    <ul>
    <li>_DecimalConverter<ul><li><a name="kiwi.currency._CurrencyConverter"></a><a href="kiwi.currency._CurrencyConverter.html">kiwi.currency._CurrencyConverter</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>ConfigParser.ConfigParser<ul><li><a name="kiwi.desktopparser.DesktopParser"></a><a href="kiwi.desktopparser.DesktopParser.html">kiwi.desktopparser.DesktopParser</a> - <span>A DesktopParser for GNOME/KDE .desktop files.
</span></li></ul></li><li>distutils.command.install_data.install_data<ul><li><a name="kiwi.dist.KiwiInstallData"></a><a href="kiwi.dist.KiwiInstallData.html">kiwi.dist.KiwiInstallData</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>distutils.command.install_lib.install_lib<ul><li><a name="kiwi.dist.KiwiInstallLib"></a><a href="kiwi.dist.KiwiInstallLib.html">kiwi.dist.KiwiInstallLib</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>Exception<ul><li><a name="kiwi.accessor.DefaultValue"></a><a href="kiwi.accessor.DefaultValue.html">kiwi.accessor.DefaultValue</a> - <span>This can be raised in kgetattr accessors to indicate that the 
default
</span></li><li><a name="kiwi.component.AlreadyImplementedError"></a><a href="kiwi.component.AlreadyImplementedError.html">kiwi.component.AlreadyImplementedError</a> - <span>Called when a utility already exists.
</span></li><li><a name="kiwi.datatypes.ValidationError"></a><a href="kiwi.datatypes.ValidationError.html">kiwi.datatypes.ValidationError</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.log.LogError"></a><a href="kiwi.log.LogError.html">kiwi.log.LogError</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.entry.MaskError"></a><a href="kiwi.ui.entry.MaskError.html">kiwi.ui.entry.MaskError</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.proxy.ProxyError"></a><a href="kiwi.ui.proxy.ProxyError.html">kiwi.ui.proxy.ProxyError</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.test.recorder.SkipEvent"></a><a href="kiwi.ui.test.recorder.SkipEvent.html">kiwi.ui.test.recorder.SkipEvent</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.test.runner.NotReadyYet"></a><a href="kiwi.ui.test.runner.NotReadyYet.html">kiwi.ui.test.runner.NotReadyYet</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>float<ul><li><a name="kiwi.datatypes.Decimal"></a><a href="kiwi.datatypes.Decimal.html">kiwi.datatypes.Decimal</a> - <span class="undocumented">Undocumented</span><ul><li><a name="kiwi.currency.currency"></a><a href="kiwi.currency.currency.html">kiwi.currency.currency</a> - <span>A datatype representing currency, used together with the list and
</span></li></ul></li></ul></li><li>gazpacho.editor.PropertyCustomEditor<ul><li><a name="kiwi.ui.gazpacholoader.DataTypeAdaptor"></a><a href="kiwi.ui.gazpacholoader.DataTypeAdaptor.html">kiwi.ui.gazpacholoader.DataTypeAdaptor</a> - <span class="undocumented">Undocumented</span><ul><li><a name="kiwi.ui.gazpacholoader.ButtonDataType"></a><a href="kiwi.ui.gazpacholoader.ButtonDataType.html">kiwi.ui.gazpacholoader.ButtonDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.ComboBoxDataType"></a><a href="kiwi.ui.gazpacholoader.ComboBoxDataType.html">kiwi.ui.gazpacholoader.ComboBoxDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.ComboBoxEntryDataType"></a><a href="kiwi.ui.gazpacholoader.ComboBoxEntryDataType.html">kiwi.ui.gazpacholoader.ComboBoxEntryDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.ComboEntryDataType"></a><a href="kiwi.ui.gazpacholoader.ComboEntryDataType.html">kiwi.ui.gazpacholoader.ComboEntryDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.EntryDataType"></a><a href="kiwi.ui.gazpacholoader.EntryDataType.html">kiwi.ui.gazpacholoader.EntryDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.HScaleDataType"></a><a href="kiwi.ui.gazpacholoader.HScaleDataType.html">kiwi.ui.gazpacholoader.HScaleDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.LabelDataType"></a><a href="kiwi.ui.gazpacholoader.LabelDataType.html">kiwi.ui.gazpacholoader.LabelDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.SpinBtnDataType"></a><a href="kiwi.ui.gazpacholoader.SpinBtnDataType.html">kiwi.ui.gazpacholoader.SpinBtnDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.TextViewDataType"></a><a href="kiwi.ui.gazpacholoader.TextViewDataType.html">kiwi.ui.gazpacholoader.TextViewDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.VScaleDataType"></a><a href="kiwi.ui.gazpacholoader.VScaleDataType.html">kiwi.ui.gazpacholoader.VScaleDataType</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li>gazpacho.loader.custom.Adapter<ul><li><a name="kiwi.ui.gazpacholoader.KiwiColumnAdapter"></a><a href="kiwi.ui.gazpacholoader.KiwiColumnAdapter.html">kiwi.ui.gazpacholoader.KiwiColumnAdapter</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gazpacho.loader.custom.ComboBoxAdapter<ul><li><a name="kiwi.ui.gazpacholoader.KiwiComboBoxAdapter"></a><a href="kiwi.ui.gazpacholoader.KiwiComboBoxAdapter.html">kiwi.ui.gazpacholoader.KiwiComboBoxAdapter</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gazpacho.loader.custom.PythonWidgetAdapter<ul><li><a name="kiwi.ui.gazpacholoader.ObjectListAdapter"></a><a href="kiwi.ui.gazpacholoader.ObjectListAdapter.html">kiwi.ui.gazpacholoader.ObjectListAdapter</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.ObjectTreeAdapter"></a><a href="kiwi.ui.gazpacholoader.ObjectTreeAdapter.html">kiwi.ui.gazpacholoader.ObjectTreeAdapter</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gazpacho.loader.loader.ObjectBuilder<ul><li><a name="kiwi.ui.gazpacholoader.Builder"></a><a href="kiwi.ui.gazpacholoader.Builder.html">kiwi.ui.gazpacholoader.Builder</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gazpacho.properties.CustomProperty<ul><li><a name="kiwi.ui.gazpacholoader.BoolOnlyDataType"></a><a href="kiwi.ui.gazpacholoader.BoolOnlyDataType.html">kiwi.ui.gazpacholoader.BoolOnlyDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.DataType"></a><a href="kiwi.ui.gazpacholoader.DataType.html">kiwi.ui.gazpacholoader.DataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.DataValueProperty"></a><a href="kiwi.ui.gazpacholoader.DataValueProperty.html">kiwi.ui.gazpacholoader.DataValueProperty</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.DateOnlyDataType"></a><a href="kiwi.ui.gazpacholoader.DateOnlyDataType.html">kiwi.ui.gazpacholoader.DateOnlyDataType</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.ModelProperty"></a><a href="kiwi.ui.gazpacholoader.ModelProperty.html">kiwi.ui.gazpacholoader.ModelProperty</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gazpacho.properties.StringType<ul><li><a href="kiwi.ui.gazpacholoader.BoolOnlyDataType.html">kiwi.ui.gazpacholoader.BoolOnlyDataType</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.gazpacholoader.DataType.html">kiwi.ui.gazpacholoader.DataType</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.gazpacholoader.DataValueProperty.html">kiwi.ui.gazpacholoader.DataValueProperty</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.gazpacholoader.DateOnlyDataType.html">kiwi.ui.gazpacholoader.DateOnlyDataType</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.gazpacholoader.ModelProperty.html">kiwi.ui.gazpacholoader.ModelProperty</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gazpacho.widgets.base.base.ContainerAdaptor<ul><li><a name="kiwi.ui.gazpacholoader.HyperLinkAdaptor"></a><a href="kiwi.ui.gazpacholoader.HyperLinkAdaptor.html">kiwi.ui.gazpacholoader.HyperLinkAdaptor</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gazpacho.widgets.base.box.BoxAdaptor<ul><li><a name="kiwi.ui.gazpacholoader.ComboEntryAdaptor"></a><a href="kiwi.ui.gazpacholoader.ComboEntryAdaptor.html">kiwi.ui.gazpacholoader.ComboEntryAdaptor</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.gazpacholoader.DateEntryAdaptor"></a><a href="kiwi.ui.gazpacholoader.DateEntryAdaptor.html">kiwi.ui.gazpacholoader.DateEntryAdaptor</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gobject.GObject<ul><li><a name="kiwi.ui.gadgets.FadeOut"></a><a href="kiwi.ui.gadgets.FadeOut.html">kiwi.ui.gadgets.FadeOut</a> - <span>I am a helper class to draw the fading effect of the background
</span></li><li><a name="kiwi.ui.objectlist.Column"></a><a href="kiwi.ui.objectlist.Column.html">kiwi.ui.objectlist.Column</a> - <span>Specifies a column for an <a 
href="kiwi.ui.objectlist.ObjectList.html"><code>ObjectList</code></a>, see 
the ObjectList documentation
</span><ul><li><a name="kiwi.ui.objectlist.ColoredColumn"></a><a href="kiwi.ui.objectlist.ColoredColumn.html">kiwi.ui.objectlist.ColoredColumn</a> - <span>I am a column which can colorize the text of columns under
</span></li><li><a name="kiwi.ui.objectlist.SequentialColumn"></a><a href="kiwi.ui.objectlist.SequentialColumn.html">kiwi.ui.objectlist.SequentialColumn</a> - <span>I am a column which will display a sequence of numbers, which
</span></li></ul></li><li><a name="kiwi.ui.test.common.WidgetIntrospecter"></a><a href="kiwi.ui.test.common.WidgetIntrospecter.html">kiwi.ui.test.common.WidgetIntrospecter</a> - <span class="undocumented">No class docstring; 4/14 methods documented</span><ul><li><a name="kiwi.ui.test.recorder.Recorder"></a><a href="kiwi.ui.test.recorder.Recorder.html">kiwi.ui.test.recorder.Recorder</a> - <span>Recorder takes care of attaching events to widgets, when the appear,
</span></li></ul></li><li><a name="kiwi.ui.views.SlaveView"></a><a href="kiwi.ui.views.SlaveView.html">kiwi.ui.views.SlaveView</a> - <span>Base class for all View classes. Defines the essential class
</span><ul><li><a name="kiwi.ui.delegates.GladeSlaveDelegate"></a><a href="kiwi.ui.delegates.GladeSlaveDelegate.html">kiwi.ui.delegates.GladeSlaveDelegate</a> - <span>A class that combines view and controller functionality into a
</span><ul><li><a name="kiwi.ui.delegates.ProxySlaveDelegate"></a><a href="kiwi.ui.delegates.ProxySlaveDelegate.html">kiwi.ui.delegates.ProxySlaveDelegate</a> - <span>A class that combines view, controller and proxy functionality into 
a
</span></li></ul></li><li><a name="kiwi.ui.delegates.SlaveDelegate"></a><a href="kiwi.ui.delegates.SlaveDelegate.html">kiwi.ui.delegates.SlaveDelegate</a> - <span>A class that combines view and controller functionality into a
</span><ul><li><a name="kiwi.ui.listdialog.ListSlave"></a><a href="kiwi.ui.listdialog.ListSlave.html">kiwi.ui.listdialog.ListSlave</a> - <span class="undocumented">No class docstring; 11/16 methods documented</span><ul><li><a name="kiwi.ui.listdialog.ListDialog"></a><a href="kiwi.ui.listdialog.ListDialog.html">kiwi.ui.listdialog.ListDialog</a> - <span>A ListDialog implements a <a 
href="kiwi.ui.listdialog.ListContainer.html"><code>ListContainer</code></a>
in a <code>gtk.Dialog</code> with
</span></li></ul></li><li><a name="kiwi.ui.search.SearchSlaveDelegate"></a><a href="kiwi.ui.search.SearchSlaveDelegate.html">kiwi.ui.search.SearchSlaveDelegate</a> - <span class="undocumented">No class docstring; 11/11 methods documented</span></li></ul></li><li><a name="kiwi.ui.views.BaseView"></a><a href="kiwi.ui.views.BaseView.html">kiwi.ui.views.BaseView</a> - <span>A view with a toplevel window.
</span><ul><li><a name="kiwi.ui.delegates.Delegate"></a><a href="kiwi.ui.delegates.Delegate.html">kiwi.ui.delegates.Delegate</a> - <span>A class that combines view and controller functionality into a
</span><ul><li><a name="kiwi.ui.delegates.ProxyDelegate"></a><a href="kiwi.ui.delegates.ProxyDelegate.html">kiwi.ui.delegates.ProxyDelegate</a> - <span>A class that combines view, controller and proxy functionality into 
a
</span></li></ul></li><li><a name="kiwi.ui.delegates.GladeDelegate"></a><a href="kiwi.ui.delegates.GladeDelegate.html">kiwi.ui.delegates.GladeDelegate</a> - <span>A class that combines view and controller functionality into a
</span><ul><li><a name="kiwi.ui.wizard.PluggableWizard"></a><a href="kiwi.ui.wizard.PluggableWizard.html">kiwi.ui.wizard.PluggableWizard</a> - <span>Wizard controller and view class
</span></li></ul></li></ul></li></ul></li></ul></li><li>gtk.Button<ul><li><a name="kiwi.ui.widgets.button.ProxyButton"></a><a href="kiwi.ui.widgets.button.ProxyButton.html">kiwi.ui.widgets.button.ProxyButton</a> - <span>A ProxyButton is a Button subclass which is implementing the 
features
</span></li></ul></li><li>gtk.CheckButton<ul><li><a name="kiwi.ui.widgets.checkbutton.ProxyCheckButton"></a><a href="kiwi.ui.widgets.checkbutton.ProxyCheckButton.html">kiwi.ui.widgets.checkbutton.ProxyCheckButton</a> - <span class="undocumented">Undocumented</span><ul><li><a name="kiwi.ui.widgets.checkbutton.CheckButton"></a><a href="kiwi.ui.widgets.checkbutton.CheckButton.html">kiwi.ui.widgets.checkbutton.CheckButton</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li>gtk.ColorButton<ul><li><a name="kiwi.ui.widgets.colorbutton.ProxyColorButton"></a><a href="kiwi.ui.widgets.colorbutton.ProxyColorButton.html">kiwi.ui.widgets.colorbutton.ProxyColorButton</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gtk.ComboBox<ul><li><a name="kiwi.ui.comboboxentry.BaseComboBoxEntry"></a><a href="kiwi.ui.comboboxentry.BaseComboBoxEntry.html">kiwi.ui.comboboxentry.BaseComboBoxEntry</a> - <span class="undocumented">Undocumented</span><ul><li><a name="kiwi.ui.widgets.combo.ProxyComboBoxEntry"></a><a href="kiwi.ui.widgets.combo.ProxyComboBoxEntry.html">kiwi.ui.widgets.combo.ProxyComboBoxEntry</a> - <span class="undocumented">No class docstring; 15/24 methods documented</span><ul><li><a name="kiwi.ui.widgets.combobox.ComboBoxEntry"></a><a href="kiwi.ui.widgets.combobox.ComboBoxEntry.html">kiwi.ui.widgets.combobox.ComboBoxEntry</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li><a name="kiwi.ui.widgets.combo.ProxyComboBox"></a><a href="kiwi.ui.widgets.combo.ProxyComboBox.html">kiwi.ui.widgets.combo.ProxyComboBox</a> - <span class="undocumented">No class docstring; 13/19 methods documented</span><ul><li><a name="kiwi.ui.widgets.combobox.ComboBox"></a><a href="kiwi.ui.widgets.combobox.ComboBox.html">kiwi.ui.widgets.combobox.ComboBox</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li>gtk.Dialog<ul><li><a name="kiwi.ui.dialogs.BaseDialog"></a><a href="kiwi.ui.dialogs.BaseDialog.html">kiwi.ui.dialogs.BaseDialog</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.dialogs.HIGAlertDialog"></a><a href="kiwi.ui.dialogs.HIGAlertDialog.html">kiwi.ui.dialogs.HIGAlertDialog</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.listdialog.ListDialog.html">kiwi.ui.listdialog.ListDialog</a> - <span>A ListDialog implements a <a 
href="kiwi.ui.listdialog.ListContainer.html"><code>ListContainer</code></a>
in a <code>gtk.Dialog</code> with
</span></li></ul></li><li>gtk.Entry<ul><li><a name="kiwi.ui.entry.KiwiEntry"></a><a href="kiwi.ui.entry.KiwiEntry.html">kiwi.ui.entry.KiwiEntry</a> - <span>The KiwiEntry is a Entry subclass with the following additions:
</span><ul><li><a name="kiwi.ui.widgets.entry.ProxyEntry"></a><a href="kiwi.ui.widgets.entry.ProxyEntry.html">kiwi.ui.widgets.entry.ProxyEntry</a> - <span>The Kiwi Entry widget has many special features that extend the 
basic
</span><ul><li><a name="kiwi.ui.widgets.entry.Entry"></a><a href="kiwi.ui.widgets.entry.Entry.html">kiwi.ui.widgets.entry.Entry</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li></ul></li><li>gtk.EntryCompletion<ul><li><a name="kiwi.ui.entrycompletion.KiwiEntryCompletion"></a><a href="kiwi.ui.entrycompletion.KiwiEntryCompletion.html">kiwi.ui.entrycompletion.KiwiEntryCompletion</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gtk.EventBox<ul><li><a name="kiwi.ui.hyperlink.HyperLink"></a><a href="kiwi.ui.hyperlink.HyperLink.html">kiwi.ui.hyperlink.HyperLink</a> - <span class="undocumented">No class docstring; 15/15 methods documented</span></li></ul></li><li>gtk.FileChooserButton<ul><li><a name="kiwi.ui.widgets.filechooser.ProxyFileChooserButton"></a><a href="kiwi.ui.widgets.filechooser.ProxyFileChooserButton.html">kiwi.ui.widgets.filechooser.ProxyFileChooserButton</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span></li></ul></li><li>gtk.FileChooserWidget<ul><li><a name="kiwi.ui.widgets.filechooser.ProxyFileChooserWidget"></a><a href="kiwi.ui.widgets.filechooser.ProxyFileChooserWidget.html">kiwi.ui.widgets.filechooser.ProxyFileChooserWidget</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span></li></ul></li><li>gtk.FontButton<ul><li><a name="kiwi.ui.widgets.fontbutton.ProxyFontButton"></a><a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html">kiwi.ui.widgets.fontbutton.ProxyFontButton</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gtk.glade.XML<ul><li><a name="kiwi.ui.libgladeloader.LibgladeWidgetTree"></a><a href="kiwi.ui.libgladeloader.LibgladeWidgetTree.html">kiwi.ui.libgladeloader.LibgladeWidgetTree</a> - <span class="undocumented">No class docstring; 1/5 methods documented</span></li></ul></li><li>gtk.HBox<ul><li><a name="kiwi.ui.comboentry.ComboEntry"></a><a href="kiwi.ui.comboentry.ComboEntry.html">kiwi.ui.comboentry.ComboEntry</a> - <span class="undocumented">No class docstring; 22/40 methods documented</span><ul><li><a name="kiwi.ui.widgets.combo.ProxyComboEntry"></a><a href="kiwi.ui.widgets.combo.ProxyComboEntry.html">kiwi.ui.widgets.combo.ProxyComboEntry</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.ui.dateentry.DateEntry"></a><a href="kiwi.ui.dateentry.DateEntry.html">kiwi.ui.dateentry.DateEntry</a> - <span>I am an entry which you can input a date on.
</span><ul><li><a name="kiwi.ui.widgets.entry.ProxyDateEntry"></a><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html">kiwi.ui.widgets.entry.ProxyDateEntry</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.ui.listdialog.ListContainer"></a><a href="kiwi.ui.listdialog.ListContainer.html">kiwi.ui.listdialog.ListContainer</a> - <span>A ListContainer is an <a 
href="kiwi.ui.objectlist.ObjectList.html"><code>ObjectList</code></a> with 
buttons to be able
</span></li><li><a name="kiwi.ui.objectlist.ListLabel"></a><a href="kiwi.ui.objectlist.ListLabel.html">kiwi.ui.objectlist.ListLabel</a> - <span>I am a subclass of a GtkHBox which you can use if you want
</span><ul><li><a name="kiwi.ui.objectlist.SummaryLabel"></a><a href="kiwi.ui.objectlist.SummaryLabel.html">kiwi.ui.objectlist.SummaryLabel</a> - <span>I am a subclass of ListLabel which you can use if you want
</span></li></ul></li><li><a name="kiwi.ui.search.SearchFilter"></a><a href="kiwi.ui.search.SearchFilter.html">kiwi.ui.search.SearchFilter</a> - <span>A base classed used by common search filters
</span><ul><li><a name="kiwi.ui.search.ComboSearchFilter"></a><a href="kiwi.ui.search.ComboSearchFilter.html">kiwi.ui.search.ComboSearchFilter</a> - <span><ul>
  <li>
    a label
  </li>
</ul>
</span></li><li><a name="kiwi.ui.search.DateSearchFilter"></a><a href="kiwi.ui.search.DateSearchFilter.html">kiwi.ui.search.DateSearchFilter</a> - <span>A filter which helps you to search by a date interval.
</span></li><li><a name="kiwi.ui.search.StringSearchFilter"></a><a href="kiwi.ui.search.StringSearchFilter.html">kiwi.ui.search.StringSearchFilter</a> - <span><ul>
  <li>
    a label
  </li>
</ul>
</span></li></ul></li><li><a name="kiwi.ui.selectablebox.SelectableHBox"></a><a href="kiwi.ui.selectablebox.SelectableHBox.html">kiwi.ui.selectablebox.SelectableHBox</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gtk.HScale<ul><li><a name="kiwi.ui.widgets.scale.ProxyHScale"></a><a href="kiwi.ui.widgets.scale.ProxyHScale.html">kiwi.ui.widgets.scale.ProxyHScale</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gtk.ImageMenuItem<ul><li><a name="kiwi.ui.widgets.contextmenu.ContextMenuItem"></a><a href="kiwi.ui.widgets.contextmenu.ContextMenuItem.html">kiwi.ui.widgets.contextmenu.ContextMenuItem</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span></li></ul></li><li>gtk.Label<ul><li><a name="kiwi.ui.widgets.label.ProxyLabel"></a><a href="kiwi.ui.widgets.label.ProxyLabel.html">kiwi.ui.widgets.label.ProxyLabel</a> - <span class="undocumented">No class docstring; 0/1 class methods, 6/13 methods documented</span><ul><li><a name="kiwi.ui.widgets.label.Label"></a><a href="kiwi.ui.widgets.label.Label.html">kiwi.ui.widgets.label.Label</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li>gtk.Menu<ul><li><a name="kiwi.ui.objectlist._ContextMenu"></a><a href="kiwi.ui.objectlist._ContextMenu.html">kiwi.ui.objectlist._ContextMenu</a> - <span>ContextMenu is a wrapper for the menu that's displayed when right
</span></li><li><a name="kiwi.ui.widgets.contextmenu.ContextMenu"></a><a href="kiwi.ui.widgets.contextmenu.ContextMenu.html">kiwi.ui.widgets.contextmenu.ContextMenu</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gtk.RadioButton<ul><li><a name="kiwi.ui.widgets.radiobutton.ProxyRadioButton"></a><a href="kiwi.ui.widgets.radiobutton.ProxyRadioButton.html">kiwi.ui.widgets.radiobutton.ProxyRadioButton</a> - <span class="undocumented">No class docstring; 1/6 methods documented</span><ul><li><a name="kiwi.ui.widgets.radiobutton.RadioButton"></a><a href="kiwi.ui.widgets.radiobutton.RadioButton.html">kiwi.ui.widgets.radiobutton.RadioButton</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li>gtk.ScrolledWindow<ul><li><a name="kiwi.ui.objectlist.ObjectList"></a><a href="kiwi.ui.objectlist.ObjectList.html">kiwi.ui.objectlist.ObjectList</a> - <span>An enhanced version of GtkTreeView, which provides pythonic wrappers
</span><ul><li><a name="kiwi.ui.objectlist.ObjectTree"></a><a href="kiwi.ui.objectlist.ObjectTree.html">kiwi.ui.objectlist.ObjectTree</a> - <span>Signals
</span></li><li><a name="kiwi.ui.search.SearchResults"></a><a href="kiwi.ui.search.SearchResults.html">kiwi.ui.search.SearchResults</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.widgets.list.List"></a><a href="kiwi.ui.widgets.list.List.html">kiwi.ui.widgets.list.List</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li>gtk.SpinButton<ul><li><a name="kiwi.ui.widgets.spinbutton.ProxySpinButton"></a><a href="kiwi.ui.widgets.spinbutton.ProxySpinButton.html">kiwi.ui.widgets.spinbutton.ProxySpinButton</a> - <span>A SpinButton subclass which adds supports for the Kiwi Framework.
</span><ul><li><a name="kiwi.ui.widgets.spinbutton.SpinButton"></a><a href="kiwi.ui.widgets.spinbutton.SpinButton.html">kiwi.ui.widgets.spinbutton.SpinButton</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li>gtk.TextView<ul><li><a name="kiwi.ui.widgets.textview.ProxyTextView"></a><a href="kiwi.ui.widgets.textview.ProxyTextView.html">kiwi.ui.widgets.textview.ProxyTextView</a> - <span class="undocumented">Undocumented</span><ul><li><a name="kiwi.ui.widgets.textview.TextView"></a><a href="kiwi.ui.widgets.textview.TextView.html">kiwi.ui.widgets.textview.TextView</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li>gtk.VBox<ul><li><a name="kiwi.ui.search.SearchContainer"></a><a href="kiwi.ui.search.SearchContainer.html">kiwi.ui.search.SearchContainer</a> - <span>A search container is a widget which consists of:
</span></li><li><a name="kiwi.ui.selectablebox.SelectableVBox"></a><a href="kiwi.ui.selectablebox.SelectableVBox.html">kiwi.ui.selectablebox.SelectableVBox</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gtk.VScale<ul><li><a name="kiwi.ui.widgets.scale.ProxyVScale"></a><a href="kiwi.ui.widgets.scale.ProxyVScale.html">kiwi.ui.widgets.scale.ProxyVScale</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>gtk.Window<ul><li><a name="kiwi.ui.comboentry._ComboEntryPopup"></a><a href="kiwi.ui.comboentry._ComboEntryPopup.html">kiwi.ui.comboentry._ComboEntryPopup</a> - <span class="undocumented">No class docstring; 3/13 methods documented</span></li><li><a name="kiwi.ui.dateentry._DateEntryPopup"></a><a href="kiwi.ui.dateentry._DateEntryPopup.html">kiwi.ui.dateentry._DateEntryPopup</a> - <span class="undocumented">No class docstring; 5/13 methods documented</span></li><li><a name="kiwi.ui.tooltip.Tooltip"></a><a href="kiwi.ui.tooltip.Tooltip.html">kiwi.ui.tooltip.Tooltip</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>int<ul><li><a name="kiwi.python.enum"></a><a href="kiwi.python.enum.html">kiwi.python.enum</a> - <span>enum is an enumered type implementation in python.
</span><ul><li><a name="kiwi.enums.Alignment"></a><a href="kiwi.enums.Alignment.html">kiwi.enums.Alignment</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.enums.ComboColumn"></a><a href="kiwi.enums.ComboColumn.html">kiwi.enums.ComboColumn</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.enums.ComboMode"></a><a href="kiwi.enums.ComboMode.html">kiwi.enums.ComboMode</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.enums.Direction"></a><a href="kiwi.enums.Direction.html">kiwi.enums.Direction</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.enums.ListType"></a><a href="kiwi.enums.ListType.html">kiwi.enums.ListType</a> - <span><ul>
  <li>
    NORMAL: Add, Remove, Edit
  </li>
</ul>
</span></li><li><a name="kiwi.enums.SearchFilterPosition"></a><a href="kiwi.enums.SearchFilterPosition.html">kiwi.enums.SearchFilterPosition</a> - <span>An enum used to indicate where a search filter should be added to
</span></li><li><a name="kiwi.ui.search.DateSearchFilter.Type"></a><a href="kiwi.ui.search.DateSearchFilter.Type.html">kiwi.ui.search.DateSearchFilter.Type</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li>KeyError<ul><li><a name="kiwi.ui.test.runner.MissingWidget"></a><a href="kiwi.ui.test.runner.MissingWidget.html">kiwi.ui.test.runner.MissingWidget</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.accessor._AttrUnset"></a><a href="kiwi.accessor._AttrUnset.html">kiwi.accessor._AttrUnset</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.controllers.BaseController"></a><a href="kiwi.controllers.BaseController.html">kiwi.controllers.BaseController</a> - <span>A generic controller that can be attached to any View
</span><ul><li><a href="kiwi.ui.delegates.Delegate.html">kiwi.ui.delegates.Delegate</a> - <span>A class that combines view and controller functionality into a
</span><ul><li><a href="kiwi.ui.delegates.ProxyDelegate.html">kiwi.ui.delegates.ProxyDelegate</a> - <span>A class that combines view, controller and proxy functionality into 
a
</span></li></ul></li><li><a href="kiwi.ui.delegates.GladeDelegate.html">kiwi.ui.delegates.GladeDelegate</a> - <span>A class that combines view and controller functionality into a
</span><ul><li><a href="kiwi.ui.wizard.PluggableWizard.html">kiwi.ui.wizard.PluggableWizard</a> - <span>Wizard controller and view class
</span></li></ul></li><li><a href="kiwi.ui.delegates.GladeSlaveDelegate.html">kiwi.ui.delegates.GladeSlaveDelegate</a> - <span>A class that combines view and controller functionality into a
</span><ul><li><a href="kiwi.ui.delegates.ProxySlaveDelegate.html">kiwi.ui.delegates.ProxySlaveDelegate</a> - <span>A class that combines view, controller and proxy functionality into 
a
</span></li></ul></li><li><a href="kiwi.ui.delegates.SlaveDelegate.html">kiwi.ui.delegates.SlaveDelegate</a> - <span>A class that combines view and controller functionality into a
</span><ul><li><a href="kiwi.ui.listdialog.ListSlave.html">kiwi.ui.listdialog.ListSlave</a> - <span class="undocumented">No class docstring; 11/16 methods documented</span><ul><li><a href="kiwi.ui.listdialog.ListDialog.html">kiwi.ui.listdialog.ListDialog</a> - <span>A ListDialog implements a <a 
href="kiwi.ui.listdialog.ListContainer.html"><code>ListContainer</code></a>
in a <code>gtk.Dialog</code> with
</span></li></ul></li><li><a href="kiwi.ui.search.SearchSlaveDelegate.html">kiwi.ui.search.SearchSlaveDelegate</a> - <span class="undocumented">No class docstring; 11/11 methods documented</span></li></ul></li></ul></li><li><a name="kiwi.datatypes.ConverterRegistry"></a><a href="kiwi.datatypes.ConverterRegistry.html">kiwi.datatypes.ConverterRegistry</a> - <span class="undocumented">No class docstring; 4/9 methods documented</span></li><li><a name="kiwi.dist._VariableExtender"></a><a href="kiwi.dist._VariableExtender.html">kiwi.dist._VariableExtender</a> - <span class="undocumented">No class docstring; 1/2 methods documented</span></li><li><a name="kiwi.environ.Environment"></a><a href="kiwi.environ.Environment.html">kiwi.environ.Environment</a> - <span>Environment control
</span><ul><li><a name="kiwi.environ.Library"></a><a href="kiwi.environ.Library.html">kiwi.environ.Library</a> - <span>A Library is a local environment object, it's a subclass of the
</span><ul><li><a name="kiwi.environ.Application"></a><a href="kiwi.environ.Application.html">kiwi.environ.Application</a> - <span>Application extends a <a 
href="kiwi.environ.Library.html"><code>Library</code></a>. It's meant to be
used
</span></li></ul></li></ul></li><li><a name="kiwi.model.Model"></a><a href="kiwi.model.Model.html">kiwi.model.Model</a> - <span>The Model is a mixin to be used by domain classes when attached to
</span><ul><li><a name="kiwi.model.PickledModel"></a><a href="kiwi.model.PickledModel.html">kiwi.model.PickledModel</a> - <span>PickledModel is a model that is able to save itself into a pickle
</span></li></ul></li><li><a name="kiwi.python.Settable"></a><a href="kiwi.python.Settable.html">kiwi.python.Settable</a> - <span>A mixin class for syntactic sugar.  Lets you assign attributes by
</span></li><li><a name="kiwi.ui.gazpacholoader.GazpachoWidgetTree"></a><a href="kiwi.ui.gazpacholoader.GazpachoWidgetTree.html">kiwi.ui.gazpacholoader.GazpachoWidgetTree</a> - <span>Example class of GladeAdaptor that uses Gazpacho loader to load the
</span></li><li><a name="kiwi.ui.proxy.Proxy"></a><a href="kiwi.ui.proxy.Proxy.html">kiwi.ui.proxy.Proxy</a> - <span>A Proxy is a class that 'attaches' an instance to an interface's
</span></li><li><a name="kiwi.ui.widgets.scale._ProxyScale"></a><a href="kiwi.ui.widgets.scale._ProxyScale.html">kiwi.ui.widgets.scale._ProxyScale</a> - <span class="undocumented">Undocumented</span><ul><li><a href="kiwi.ui.widgets.scale.ProxyHScale.html">kiwi.ui.widgets.scale.ProxyHScale</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.scale.ProxyVScale.html">kiwi.ui.widgets.scale.ProxyVScale</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.ui.wizard.WizardStep"></a><a href="kiwi.ui.wizard.WizardStep.html">kiwi.ui.wizard.WizardStep</a> - <span>This class must be inherited by the steps
</span></li><li><a name="kiwi.ValueUnset"></a><a href="kiwi.ValueUnset.html">kiwi.ValueUnset</a> - <span>To differentiate from places where None is a valid default. Used
</span></li><li>logging.Filter<ul><li><a name="kiwi.log.ReversedGlobalFilter"></a><a href="kiwi.log.ReversedGlobalFilter.html">kiwi.log.ReversedGlobalFilter</a> - <span>It's like a reversed filter, the default behavior
</span></li></ul></li><li>logging.Logger<ul><li><a name="kiwi.log._Logger"></a><a href="kiwi.log._Logger.html">kiwi.log._Logger</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>metabase<ul><li><a name="kiwi.utils._GObjectClassInittableMetaType"></a><a href="kiwi.utils._GObjectClassInittableMetaType.html">kiwi.utils._GObjectClassInittableMetaType</a> - <span class="undocumented">Undocumented</span><ul><li><a name="kiwi.utils.PropertyMeta"></a><a href="kiwi.utils.PropertyMeta.html">kiwi.utils.PropertyMeta</a> - <span>Metaclass that takes into account properties and signals
</span></li></ul></li></ul></li><li>object<ul><li><a name="kiwi.accessor.CacheControl"></a><a href="kiwi.accessor.CacheControl.html">kiwi.accessor.CacheControl</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.argcheck.argcheck"></a><a href="kiwi.argcheck.argcheck.html">kiwi.argcheck.argcheck</a> - <span>Decorator to check type and value of arguments.
</span></li><li><a name="kiwi.component._UtilityHandler"></a><a href="kiwi.component._UtilityHandler.html">kiwi.component._UtilityHandler</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.component.Attribute"></a><a href="kiwi.component.Attribute.html">kiwi.component.Attribute</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.component.Interface"></a><a href="kiwi.component.Interface.html">kiwi.component.Interface</a> - <span class="undocumented">Undocumented</span><ul><li><a name="kiwi.interfaces.AbstractGladeAdaptor"></a><a href="kiwi.interfaces.AbstractGladeAdaptor.html">kiwi.interfaces.AbstractGladeAdaptor</a> - <span>Abstract class that define the functionality an class that handle
</span></li><li><a name="kiwi.interfaces.IEasyCombo"></a><a href="kiwi.interfaces.IEasyCombo.html">kiwi.interfaces.IEasyCombo</a> - <span class="undocumented">No class docstring; 10/12 methods documented</span></li><li><a name="kiwi.interfaces.IProxyWidget"></a><a href="kiwi.interfaces.IProxyWidget.html">kiwi.interfaces.IProxyWidget</a> - <span>IProxyWidget is a widget that can be attached to a proxy.
</span><ul><li><a name="kiwi.interfaces.IValidatableProxyWidget"></a><a href="kiwi.interfaces.IValidatableProxyWidget.html">kiwi.interfaces.IValidatableProxyWidget</a> - <span>IValidatableProxyWidget extends IProxyWidget with validation support
</span></li></ul></li><li><a name="kiwi.interfaces.ISearchFilter"></a><a href="kiwi.interfaces.ISearchFilter.html">kiwi.interfaces.ISearchFilter</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span></li></ul></li><li><a name="kiwi.datatypes.BaseConverter"></a><a href="kiwi.datatypes.BaseConverter.html">kiwi.datatypes.BaseConverter</a> - <span>Abstract converter used by all datatypes
</span><ul><li><a name="kiwi.datatypes._BaseDateTimeConverter"></a><a href="kiwi.datatypes._BaseDateTimeConverter.html">kiwi.datatypes._BaseDateTimeConverter</a> - <span>Abstract class for converting datatime objects to and from strings
</span><ul><li><a name="kiwi.datatypes._DateConverter"></a><a href="kiwi.datatypes._DateConverter.html">kiwi.datatypes._DateConverter</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.datatypes._DateTimeConverter"></a><a href="kiwi.datatypes._DateTimeConverter.html">kiwi.datatypes._DateTimeConverter</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.datatypes._TimeConverter"></a><a href="kiwi.datatypes._TimeConverter.html">kiwi.datatypes._TimeConverter</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.datatypes._BoolConverter"></a><a href="kiwi.datatypes._BoolConverter.html">kiwi.datatypes._BoolConverter</a> - <span class="undocumented">No class docstring; 1/2 methods documented</span></li><li><a name="kiwi.datatypes._EnumConverter"></a><a href="kiwi.datatypes._EnumConverter.html">kiwi.datatypes._EnumConverter</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.datatypes._FloatConverter"></a><a href="kiwi.datatypes._FloatConverter.html">kiwi.datatypes._FloatConverter</a> - <span class="undocumented">No class docstring; 2/2 methods documented</span><ul><li><a name="kiwi.datatypes._DecimalConverter"></a><a href="kiwi.datatypes._DecimalConverter.html">kiwi.datatypes._DecimalConverter</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.datatypes._IntConverter"></a><a href="kiwi.datatypes._IntConverter.html">kiwi.datatypes._IntConverter</a> - <span class="undocumented">No class docstring; 2/2 methods documented</span><ul><li><a name="kiwi.datatypes._LongConverter"></a><a href="kiwi.datatypes._LongConverter.html">kiwi.datatypes._LongConverter</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.datatypes._ObjectConverter"></a><a href="kiwi.datatypes._ObjectConverter.html">kiwi.datatypes._ObjectConverter</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.datatypes._StringConverter"></a><a href="kiwi.datatypes._StringConverter.html">kiwi.datatypes._StringConverter</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.datatypes._UnicodeConverter"></a><a href="kiwi.datatypes._UnicodeConverter.html">kiwi.datatypes._UnicodeConverter</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.proxywidget._PixbufConverter"></a><a href="kiwi.ui.proxywidget._PixbufConverter.html">kiwi.ui.proxywidget._PixbufConverter</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.db.query.QueryExecuter"></a><a href="kiwi.db.query.QueryExecuter.html">kiwi.db.query.QueryExecuter</a> - <span>A QueryExecuter is responsible for taking the state (as in 
QueryState)
</span><ul><li><a name="kiwi.db.sqlalch.SQLAlchemyQueryExecuter"></a><a href="kiwi.db.sqlalch.SQLAlchemyQueryExecuter.html">kiwi.db.sqlalch.SQLAlchemyQueryExecuter</a> - <span class="undocumented">No class docstring; 5/12 methods documented</span></li><li><a name="kiwi.db.sqlobj.SQLObjectQueryExecuter"></a><a href="kiwi.db.sqlobj.SQLObjectQueryExecuter.html">kiwi.db.sqlobj.SQLObjectQueryExecuter</a> - <span class="undocumented">No class docstring; 5/14 methods documented</span></li><li><a name="kiwi.db.stormintegration.StormQueryExecuter"></a><a href="kiwi.db.stormintegration.StormQueryExecuter.html">kiwi.db.stormintegration.StormQueryExecuter</a> - <span>Execute queries from a storm database
</span></li></ul></li><li><a name="kiwi.db.query.QueryState"></a><a href="kiwi.db.query.QueryState.html">kiwi.db.query.QueryState</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span><ul><li><a name="kiwi.db.query.DateIntervalQueryState"></a><a href="kiwi.db.query.DateIntervalQueryState.html">kiwi.db.query.DateIntervalQueryState</a> - <span>Create a new DateIntervalQueryState object.
</span></li><li><a name="kiwi.db.query.DateQueryState"></a><a href="kiwi.db.query.DateQueryState.html">kiwi.db.query.DateQueryState</a> - <span>Create a new DateQueryState object.
</span></li><li><a name="kiwi.db.query.NumberQueryState"></a><a href="kiwi.db.query.NumberQueryState.html">kiwi.db.query.NumberQueryState</a> - <span>Create a new NumberQueryState object.
</span></li><li><a name="kiwi.db.query.StringQueryState"></a><a href="kiwi.db.query.StringQueryState.html">kiwi.db.query.StringQueryState</a> - <span>Create a new StringQueryState object.
</span></li></ul></li><li><a name="kiwi.decorators.deprecated"></a><a href="kiwi.decorators.deprecated.html">kiwi.decorators.deprecated</a> - <span>I am a decorator which prints a deprecation warning each
</span></li><li><a name="kiwi.decorators.signal_block"></a><a href="kiwi.decorators.signal_block.html">kiwi.decorators.signal_block</a> - <span>A decorator to be used on <a 
href="kiwi.ui.views.SlaveView.html"><code>kiwi.ui.views.SlaveView</code></a>
methods.
</span></li><li><a name="kiwi.log.Logger"></a><a href="kiwi.log.Logger.html">kiwi.log.Logger</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.python._ForwardedProperty"></a><a href="kiwi.python._ForwardedProperty.html">kiwi.python._ForwardedProperty</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.python.ClassInittableObject"></a><a href="kiwi.python.ClassInittableObject.html">kiwi.python.ClassInittableObject</a> - <span>I am an object which will call a classmethod called
</span><ul><li><a name="kiwi.python.AttributeForwarder"></a><a href="kiwi.python.AttributeForwarder.html">kiwi.python.AttributeForwarder</a> - <span>AttributeForwarder is an object which is used to forward certain
</span></li></ul></li><li><a name="kiwi.tasklet.Message"></a><a href="kiwi.tasklet.Message.html">kiwi.tasklet.Message</a> - <span>A message that can be received by or sent to a tasklet.
</span></li><li><a name="kiwi.tasklet.task"></a><a href="kiwi.tasklet.task.html">kiwi.tasklet.task</a> - <span>A decorator that modifies a tasklet function to avoid the need
</span></li><li><a name="kiwi.tasklet.Tasklet"></a><a href="kiwi.tasklet.Tasklet.html">kiwi.tasklet.Tasklet</a> - <span>An object that launches and manages a tasklet.
</span></li><li><a name="kiwi.tasklet.WaitCondition"></a><a href="kiwi.tasklet.WaitCondition.html">kiwi.tasklet.WaitCondition</a> - <span>Base class for all wait-able condition objects.
</span><ul><li><a name="kiwi.tasklet.WaitForCall"></a><a href="kiwi.tasklet.WaitForCall.html">kiwi.tasklet.WaitForCall</a> - <span>An object that waits until it is called.
</span></li><li><a name="kiwi.tasklet.WaitForIdle"></a><a href="kiwi.tasklet.WaitForIdle.html">kiwi.tasklet.WaitForIdle</a> - <span>An object that waits for the main loop to become idle
</span></li><li><a name="kiwi.tasklet.WaitForIO"></a><a href="kiwi.tasklet.WaitForIO.html">kiwi.tasklet.WaitForIO</a> - <span>An object that waits for IO conditions on sockets or file
</span></li><li><a name="kiwi.tasklet.WaitForMessages"></a><a href="kiwi.tasklet.WaitForMessages.html">kiwi.tasklet.WaitForMessages</a> - <span>An object that waits for messages to arrive
</span></li><li><a name="kiwi.tasklet.WaitForProcess"></a><a href="kiwi.tasklet.WaitForProcess.html">kiwi.tasklet.WaitForProcess</a> - <span>An object that waits for a process to end
</span></li><li><a name="kiwi.tasklet.WaitForSignal"></a><a href="kiwi.tasklet.WaitForSignal.html">kiwi.tasklet.WaitForSignal</a> - <span>An object that waits for a signal emission
</span></li><li><a name="kiwi.tasklet.WaitForTasklet"></a><a href="kiwi.tasklet.WaitForTasklet.html">kiwi.tasklet.WaitForTasklet</a> - <span>An object that waits for a tasklet to complete
</span></li><li><a name="kiwi.tasklet.WaitForTimeout"></a><a href="kiwi.tasklet.WaitForTimeout.html">kiwi.tasklet.WaitForTimeout</a> - <span>An object that waits for a specified ammount of time (a timeout)
</span></li></ul></li><li><a name="kiwi.ui.gaxmlloader.GAXMLWidgetTree"></a><a href="kiwi.ui.gaxmlloader.GAXMLWidgetTree.html">kiwi.ui.gaxmlloader.GAXMLWidgetTree</a> - <span class="undocumented">No class docstring; 1/6 methods documented</span></li><li><a name="kiwi.ui.icon.IconEntry"></a><a href="kiwi.ui.icon.IconEntry.html">kiwi.ui.icon.IconEntry</a> - <span>Helper object for rendering an icon in a GtkEntry
</span></li><li><a name="kiwi.ui.proxywidget.ProxyWidgetMixin"></a><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html">kiwi.ui.proxywidget.ProxyWidgetMixin</a> - <span>This class is a mixin that provide a common interface for 
KiwiWidgets.
</span><ul><li><a name="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin"></a><a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html">kiwi.ui.proxywidget.ValidatableProxyWidgetMixin</a> - <span>Class used by some Kiwi Widgets that need to support mandatory
</span><ul><li><a href="kiwi.ui.widgets.combo.ProxyComboBoxEntry.html">kiwi.ui.widgets.combo.ProxyComboBoxEntry</a> - <span class="undocumented">No class docstring; 15/24 methods documented</span><ul><li><a href="kiwi.ui.widgets.combobox.ComboBoxEntry.html">kiwi.ui.widgets.combobox.ComboBoxEntry</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.combo.ProxyComboEntry.html">kiwi.ui.widgets.combo.ProxyComboEntry</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html">kiwi.ui.widgets.entry.ProxyDateEntry</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.entry.ProxyEntry.html">kiwi.ui.widgets.entry.ProxyEntry</a> - <span>The Kiwi Entry widget has many special features that extend the 
basic
</span><ul><li><a href="kiwi.ui.widgets.entry.Entry.html">kiwi.ui.widgets.entry.Entry</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.spinbutton.ProxySpinButton.html">kiwi.ui.widgets.spinbutton.ProxySpinButton</a> - <span>A SpinButton subclass which adds supports for the Kiwi Framework.
</span><ul><li><a href="kiwi.ui.widgets.spinbutton.SpinButton.html">kiwi.ui.widgets.spinbutton.SpinButton</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.textview.ProxyTextView.html">kiwi.ui.widgets.textview.ProxyTextView</a> - <span class="undocumented">Undocumented</span><ul><li><a href="kiwi.ui.widgets.textview.TextView.html">kiwi.ui.widgets.textview.TextView</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li><a href="kiwi.ui.widgets.button.ProxyButton.html">kiwi.ui.widgets.button.ProxyButton</a> - <span>A ProxyButton is a Button subclass which is implementing the 
features
</span></li><li><a href="kiwi.ui.widgets.checkbutton.ProxyCheckButton.html">kiwi.ui.widgets.checkbutton.ProxyCheckButton</a> - <span class="undocumented">Undocumented</span><ul><li><a href="kiwi.ui.widgets.checkbutton.CheckButton.html">kiwi.ui.widgets.checkbutton.CheckButton</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.colorbutton.ProxyColorButton.html">kiwi.ui.widgets.colorbutton.ProxyColorButton</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.combo.ProxyComboBox.html">kiwi.ui.widgets.combo.ProxyComboBox</a> - <span class="undocumented">No class docstring; 13/19 methods documented</span><ul><li><a href="kiwi.ui.widgets.combobox.ComboBox.html">kiwi.ui.widgets.combobox.ComboBox</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.filechooser.ProxyFileChooserButton.html">kiwi.ui.widgets.filechooser.ProxyFileChooserButton</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span></li><li><a href="kiwi.ui.widgets.filechooser.ProxyFileChooserWidget.html">kiwi.ui.widgets.filechooser.ProxyFileChooserWidget</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span></li><li><a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html">kiwi.ui.widgets.fontbutton.ProxyFontButton</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.label.ProxyLabel.html">kiwi.ui.widgets.label.ProxyLabel</a> - <span class="undocumented">No class docstring; 0/1 class methods, 6/13 methods documented</span><ul><li><a href="kiwi.ui.widgets.label.Label.html">kiwi.ui.widgets.label.Label</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.radiobutton.ProxyRadioButton.html">kiwi.ui.widgets.radiobutton.ProxyRadioButton</a> - <span class="undocumented">No class docstring; 1/6 methods documented</span><ul><li><a href="kiwi.ui.widgets.radiobutton.RadioButton.html">kiwi.ui.widgets.radiobutton.RadioButton</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.scale.ProxyHScale.html">kiwi.ui.widgets.scale.ProxyHScale</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.scale.ProxyVScale.html">kiwi.ui.widgets.scale.ProxyVScale</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.ui.search.DateSearchOption"></a><a href="kiwi.ui.search.DateSearchOption.html">kiwi.ui.search.DateSearchOption</a> - <span>Base class for Date search options
</span><ul><li><a name="kiwi.ui.search.Any"></a><a href="kiwi.ui.search.Any.html">kiwi.ui.search.Any</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.search.FixedDateSearchOption"></a><a href="kiwi.ui.search.FixedDateSearchOption.html">kiwi.ui.search.FixedDateSearchOption</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.search.FixedIntervalSearchOption"></a><a href="kiwi.ui.search.FixedIntervalSearchOption.html">kiwi.ui.search.FixedIntervalSearchOption</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.search.LastMonth"></a><a href="kiwi.ui.search.LastMonth.html">kiwi.ui.search.LastMonth</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.search.LastWeek"></a><a href="kiwi.ui.search.LastWeek.html">kiwi.ui.search.LastWeek</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.search.Today"></a><a href="kiwi.ui.search.Today.html">kiwi.ui.search.Today</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.search.Yesterday"></a><a href="kiwi.ui.search.Yesterday.html">kiwi.ui.search.Yesterday</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.ui.selectablebox.SelectableBox"></a><a href="kiwi.ui.selectablebox.SelectableBox.html">kiwi.ui.selectablebox.SelectableBox</a> - <span class="undocumented">No class docstring; 6/11 methods documented</span><ul><li><a href="kiwi.ui.selectablebox.SelectableHBox.html">kiwi.ui.selectablebox.SelectableHBox</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.selectablebox.SelectableVBox.html">kiwi.ui.selectablebox.SelectableVBox</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.ui.test.recorder.Event"></a><a href="kiwi.ui.test.recorder.Event.html">kiwi.ui.test.recorder.Event</a> - <span>Event is a base class for all events.
</span><ul><li><a name="kiwi.ui.test.recorder.SignalEvent"></a><a href="kiwi.ui.test.recorder.SignalEvent.html">kiwi.ui.test.recorder.SignalEvent</a> - <span>A SignalEvent is an <a 
href="kiwi.ui.test.recorder.Event.html"><code>Event</code></a> which is 
tied to a GObject signal,
</span><ul><li><a name="kiwi.ui.test.recorder.ButtonClickedEvent"></a><a href="kiwi.ui.test.recorder.ButtonClickedEvent.html">kiwi.ui.test.recorder.ButtonClickedEvent</a> - <span>This event represents a button click.
</span></li><li><a name="kiwi.ui.test.recorder.EntryActivateEvent"></a><a href="kiwi.ui.test.recorder.EntryActivateEvent.html">kiwi.ui.test.recorder.EntryActivateEvent</a> - <span>This event represents an activate event for a GtkEntry, eg when
</span></li><li><a name="kiwi.ui.test.recorder.EntrySetTextEvent"></a><a href="kiwi.ui.test.recorder.EntrySetTextEvent.html">kiwi.ui.test.recorder.EntrySetTextEvent</a> - <span>This event represents a content modification of a GtkEntry.
</span></li><li><a name="kiwi.ui.test.recorder.ImageMenuItemButtonReleaseEvent"></a><a href="kiwi.ui.test.recorder.ImageMenuItemButtonReleaseEvent.html">kiwi.ui.test.recorder.ImageMenuItemButtonReleaseEvent</a> - <span>This event represents a click on a normal menu entry
</span></li><li><a name="kiwi.ui.test.recorder.MenuItemActivateEvent"></a><a href="kiwi.ui.test.recorder.MenuItemActivateEvent.html">kiwi.ui.test.recorder.MenuItemActivateEvent</a> - <span>This event represents a user click on a menu item.
</span></li><li><a name="kiwi.ui.test.recorder.ObjectListDoubleClick"></a><a href="kiwi.ui.test.recorder.ObjectListDoubleClick.html">kiwi.ui.test.recorder.ObjectListDoubleClick</a> - <span>This event represents a double click on a row in objectlist
</span></li><li><a name="kiwi.ui.test.recorder.ObjectListSelectionChanged"></a><a href="kiwi.ui.test.recorder.ObjectListSelectionChanged.html">kiwi.ui.test.recorder.ObjectListSelectionChanged</a> - <span>This event represents a selection change on a
</span></li><li><a name="kiwi.ui.test.recorder.ToolButtonReleaseEvent"></a><a href="kiwi.ui.test.recorder.ToolButtonReleaseEvent.html">kiwi.ui.test.recorder.ToolButtonReleaseEvent</a> - <span>This event represents a click on a normal toolbar button
</span></li></ul></li><li><a name="kiwi.ui.test.recorder.WindowDeleteEvent"></a><a href="kiwi.ui.test.recorder.WindowDeleteEvent.html">kiwi.ui.test.recorder.WindowDeleteEvent</a> - <span>This event represents a user click on the close button in the
</span></li></ul></li><li><a name="kiwi.ui.test.runner.MagicWindowWrapper"></a><a href="kiwi.ui.test.runner.MagicWindowWrapper.html">kiwi.ui.test.runner.MagicWindowWrapper</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.ui.test.runner.Runner"></a><a href="kiwi.ui.test.runner.Runner.html">kiwi.ui.test.runner.Runner</a> - <span>Create a new Runner object.
</span></li><li><a name="kiwi.ui.views.SignalBroker"></a><a href="kiwi.ui.views.SignalBroker.html">kiwi.ui.views.SignalBroker</a> - <span class="undocumented">No class docstring; 2/6 methods documented</span><ul><li><a name="kiwi.ui.views.GladeSignalBroker"></a><a href="kiwi.ui.views.GladeSignalBroker.html">kiwi.ui.views.GladeSignalBroker</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a name="kiwi.ui.widgets.combo._EasyComboBoxHelper"></a><a href="kiwi.ui.widgets.combo._EasyComboBoxHelper.html">kiwi.ui.widgets.combo._EasyComboBoxHelper</a> - <span class="undocumented">No class docstring; 4/16 methods documented</span></li><li><a name="kiwi.ui.widgets.filechooser._FileChooserMixin"></a><a href="kiwi.ui.widgets.filechooser._FileChooserMixin.html">kiwi.ui.widgets.filechooser._FileChooserMixin</a> - <span>Mixin to use common methods of the FileChooser interface
</span><ul><li><a href="kiwi.ui.widgets.filechooser.ProxyFileChooserButton.html">kiwi.ui.widgets.filechooser.ProxyFileChooserButton</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span></li><li><a href="kiwi.ui.widgets.filechooser.ProxyFileChooserWidget.html">kiwi.ui.widgets.filechooser.ProxyFileChooserWidget</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span></li></ul></li><li><a name="kiwi.utils._GobjectClassInittableObject"></a><a href="kiwi.utils._GobjectClassInittableObject.html">kiwi.utils._GobjectClassInittableObject</a> - <span class="undocumented">Undocumented</span></li><li><a name="kiwi.utils.PropertyObject"></a><a href="kiwi.utils.PropertyObject.html">kiwi.utils.PropertyObject</a> - <span>I am an object which maps GObject properties to attributes
</span><ul><li><a href="kiwi.ui.entry.KiwiEntry.html">kiwi.ui.entry.KiwiEntry</a> - <span>The KiwiEntry is a Entry subclass with the following additions:
</span><ul><li><a href="kiwi.ui.widgets.entry.ProxyEntry.html">kiwi.ui.widgets.entry.ProxyEntry</a> - <span>The Kiwi Entry widget has many special features that extend the 
basic
</span><ul><li><a href="kiwi.ui.widgets.entry.Entry.html">kiwi.ui.widgets.entry.Entry</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li><li><a href="kiwi.ui.hyperlink.HyperLink.html">kiwi.ui.hyperlink.HyperLink</a> - <span class="undocumented">No class docstring; 15/15 methods documented</span></li><li><a href="kiwi.ui.objectlist.Column.html">kiwi.ui.objectlist.Column</a> - <span>Specifies a column for an <a 
href="kiwi.ui.objectlist.ObjectList.html"><code>ObjectList</code></a>, see 
the ObjectList documentation
</span><ul><li><a href="kiwi.ui.objectlist.ColoredColumn.html">kiwi.ui.objectlist.ColoredColumn</a> - <span>I am a column which can colorize the text of columns under
</span></li><li><a href="kiwi.ui.objectlist.SequentialColumn.html">kiwi.ui.objectlist.SequentialColumn</a> - <span>I am a column which will display a sequence of numbers, which
</span></li></ul></li><li><a href="kiwi.ui.objectlist.ObjectList.html">kiwi.ui.objectlist.ObjectList</a> - <span>An enhanced version of GtkTreeView, which provides pythonic wrappers
</span><ul><li><a href="kiwi.ui.objectlist.ObjectTree.html">kiwi.ui.objectlist.ObjectTree</a> - <span>Signals
</span></li><li><a href="kiwi.ui.search.SearchResults.html">kiwi.ui.search.SearchResults</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.list.List.html">kiwi.ui.widgets.list.List</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.button.ProxyButton.html">kiwi.ui.widgets.button.ProxyButton</a> - <span>A ProxyButton is a Button subclass which is implementing the 
features
</span></li><li><a href="kiwi.ui.widgets.checkbutton.ProxyCheckButton.html">kiwi.ui.widgets.checkbutton.ProxyCheckButton</a> - <span class="undocumented">Undocumented</span><ul><li><a href="kiwi.ui.widgets.checkbutton.CheckButton.html">kiwi.ui.widgets.checkbutton.CheckButton</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.colorbutton.ProxyColorButton.html">kiwi.ui.widgets.colorbutton.ProxyColorButton</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.combo.ProxyComboBox.html">kiwi.ui.widgets.combo.ProxyComboBox</a> - <span class="undocumented">No class docstring; 13/19 methods documented</span><ul><li><a href="kiwi.ui.widgets.combobox.ComboBox.html">kiwi.ui.widgets.combobox.ComboBox</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.combo.ProxyComboBoxEntry.html">kiwi.ui.widgets.combo.ProxyComboBoxEntry</a> - <span class="undocumented">No class docstring; 15/24 methods documented</span><ul><li><a href="kiwi.ui.widgets.combobox.ComboBoxEntry.html">kiwi.ui.widgets.combobox.ComboBoxEntry</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.combo.ProxyComboEntry.html">kiwi.ui.widgets.combo.ProxyComboEntry</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.entry.ProxyDateEntry.html">kiwi.ui.widgets.entry.ProxyDateEntry</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.filechooser.ProxyFileChooserButton.html">kiwi.ui.widgets.filechooser.ProxyFileChooserButton</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span></li><li><a href="kiwi.ui.widgets.filechooser.ProxyFileChooserWidget.html">kiwi.ui.widgets.filechooser.ProxyFileChooserWidget</a> - <span class="undocumented">No class docstring; 1/1 methods documented</span></li><li><a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html">kiwi.ui.widgets.fontbutton.ProxyFontButton</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.label.ProxyLabel.html">kiwi.ui.widgets.label.ProxyLabel</a> - <span class="undocumented">No class docstring; 0/1 class methods, 6/13 methods documented</span><ul><li><a href="kiwi.ui.widgets.label.Label.html">kiwi.ui.widgets.label.Label</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.radiobutton.ProxyRadioButton.html">kiwi.ui.widgets.radiobutton.ProxyRadioButton</a> - <span class="undocumented">No class docstring; 1/6 methods documented</span><ul><li><a href="kiwi.ui.widgets.radiobutton.RadioButton.html">kiwi.ui.widgets.radiobutton.RadioButton</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.scale.ProxyHScale.html">kiwi.ui.widgets.scale.ProxyHScale</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.scale.ProxyVScale.html">kiwi.ui.widgets.scale.ProxyVScale</a> - <span class="undocumented">Undocumented</span></li><li><a href="kiwi.ui.widgets.spinbutton.ProxySpinButton.html">kiwi.ui.widgets.spinbutton.ProxySpinButton</a> - <span>A SpinButton subclass which adds supports for the Kiwi Framework.
</span><ul><li><a href="kiwi.ui.widgets.spinbutton.SpinButton.html">kiwi.ui.widgets.spinbutton.SpinButton</a> - <span class="undocumented">Undocumented</span></li></ul></li><li><a href="kiwi.ui.widgets.textview.ProxyTextView.html">kiwi.ui.widgets.textview.ProxyTextView</a> - <span class="undocumented">Undocumented</span><ul><li><a href="kiwi.ui.widgets.textview.TextView.html">kiwi.ui.widgets.textview.TextView</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul></li></ul></li><li>sqlobject.sqlbuilder.SQLExpression<ul><li><a name="kiwi.db.sqlobj._FTI"></a><a href="kiwi.db.sqlobj._FTI.html">kiwi.db.sqlobj._FTI</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>StringIO.StringIO<ul><li><a name="kiwi.ui.test.runner._SpoofOut"></a><a href="kiwi.ui.test.runner._SpoofOut.html">kiwi.ui.test.runner._SpoofOut</a> - <span class="undocumented">Undocumented</span></li></ul></li><li>type<ul><li><a name="kiwi.argcheck.CustomType"></a><a href="kiwi.argcheck.CustomType.html">kiwi.argcheck.CustomType</a> - <span class="undocumented">Undocumented</span><ul><li><a name="kiwi.argcheck.number"></a><a href="kiwi.argcheck.number.html">kiwi.argcheck.number</a> - <span>Custom type that verifies that the type is a number (eg float or 
int)
</span></li><li><a name="kiwi.argcheck.percent"></a><a href="kiwi.argcheck.percent.html">kiwi.argcheck.percent</a> - <span>Custom type that verifies that the value is a percentage
</span></li></ul></li><li><a name="kiwi.python.ClassInittableMetaType"></a><a href="kiwi.python.ClassInittableMetaType.html">kiwi.python.ClassInittableMetaType</a> - <span class="undocumented">Undocumented</span></li></ul></li></ul>
  </body>
</html>